> ## Documentation Index
> Fetch the complete documentation index at: https://developer.bron.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get balances

> When you perform request without accountIds or assetId or balanceIds, the method returns all balances which has non-zero balances only

<sup>API Key permissions: View only, Transaction Operator, Full Access</sup>



## OpenAPI

````yaml /bron-open-api-public.json get /workspaces/{workspaceId}/balances
openapi: 3.1.1
info:
  description: >-
    Bron API is based on the RESTish interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.
  title: Bron API
  version: latest
  x-bron-formats:
    bigint: Arbitrary-precision integer encoded as a JSON string.
    date-time-millis: >-
      Epoch milliseconds (UTC) encoded as a JSON string. Convert with `new
      Date(parseInt(value))` or equivalent.
    decimal: Arbitrary-precision decimal encoded as a JSON string.
    int32: 32-bit integer encoded as a JSON string.
    int64: >-
      Long integer encoded as a JSON string to preserve precision (e.g. account
      IDs).
servers:
  - description: app.bron.org
    url: https://api.bron.org
security: []
tags:
  - name: stake
  - name: balances
  - name: addresses
  - name: intents
  - name: assets
  - name: transaction-limits
  - name: canton
  - name: address-book
  - name: workspaces
  - name: accounts
  - name: transactions
paths:
  /workspaces/{workspaceId}/balances:
    get:
      tags:
        - balances
      summary: Get balances
      description: >-
        When you perform request without accountIds or assetId or balanceIds,
        the method returns all balances which has non-zero balances only


        <sup>API Key permissions: View only, Transaction Operator, Full
        Access</sup>
      parameters:
        - description: Filter by account ID
          in: query
          name: accountId
          required: false
          schema:
            type: string
        - description: Filter by account ids
          in: query
          name: accountIds
          required: false
          schema:
            items:
              type: string
            type: array
        - description: Filter by balance ids
          in: query
          name: balanceIds
          required: false
          schema:
            items:
              type: string
            type: array
        - description: Filter balances by assetId
          in: query
          name: assetId
          required: false
          schema:
            type: string
        - description: Filter balances by assetIds list
          in: query
          name: assetIds
          required: false
          schema:
            items:
              type: string
            type: array
        - description: Filter balances by assetNotIn
          in: query
          name: assetNotIn
          required: false
          schema:
            items:
              type: string
            type: array
        - description: Filter balances by networkId
          in: query
          name: networkId
          required: false
          schema:
            type: string
        - description: Filter balances by networkIds list
          in: query
          name: networkIds
          required: false
          schema:
            items:
              type: string
            type: array
        - description: Filter balances by account types. [See details](/enums/AccountType)
          in: query
          name: accountTypes
          required: false
          schema:
            items:
              $ref: '#/components/schemas/AccountType'
            type: array
        - description: Exclude balances by account types. [See details](/enums/AccountType)
          in: query
          name: excludedAccountTypes
          required: false
          schema:
            items:
              $ref: '#/components/schemas/AccountType'
            type: array
        - description: Filter balances updated since timestamp
          in: query
          name: updatedSince
          required: false
          schema:
            format: date-time-millis
            type: string
        - description: Filter only balances with non-zero balance
          in: query
          name: nonEmpty
          required: false
          schema:
            default: 'true'
            type: boolean
        - description: Limit for pagination
          in: query
          name: limit
          required: false
          schema:
            default: '1000'
            format: int64
            type: string
        - description: Offset for pagination
          in: query
          name: offset
          required: false
          schema:
            format: int64
            type: string
        - in: path
          name: workspaceId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Balances'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    AccountType:
      enum:
        - vault
      type: string
    Balances:
      properties:
        balances:
          description: List of balances
          items:
            $ref: '#/components/schemas/Balance'
          type: array
      required:
        - balances
      type: object
    Balance:
      properties:
        accountId:
          description: Account ID
          examples:
            - w9jh0gf3w9qaxlre7enezt17
          type: string
        accountType:
          $ref: '#/components/schemas/AccountType'
          description: Type of the account. [See details](/enums/AccountType)
        assetId:
          description: Asset ID
          examples:
            - '10001'
          type: string
        balanceId:
          description: Balance ID
          examples:
            - rcyv3tsc53opdiz7xgrujvg0
          type: string
        createdAt:
          description: Created at timestamp
          examples:
            - '1744369502340'
          format: date-time-millis
          type: string
        networkId:
          description: Network ID
          examples:
            - BTC
          type: string
        symbol:
          description: Asset symbol
          examples:
            - BTC
          type: string
        totalBalance:
          description: The overall balance of a account
          examples:
            - '2.00021084'
          format: decimal
          type: string
        updatedAt:
          description: Last updated at timestamp
          examples:
            - '1744372384276'
          format: date-time-millis
          type: string
        withdrawableBalance:
          description: Balance available for withdrawal
          examples:
            - '1.00021084'
          format: decimal
          type: string
        workspaceId:
          description: Workspace ID
          examples:
            - e191u51yxnykins6fahd
          type: string
      required:
        - balanceId
        - accountId
        - accountType
        - workspaceId
        - assetId
      type: object

````